package com.yeejoin.amos.boot.module.ymt.flc.api.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ymt.flc.api.dto.BizRecordCount;
import com.yeejoin.amos.boot.module.ymt.flc.api.dto.IdxUjerDto;

import java.util.List;
import java.util.Map;


public interface InspectionService {

    IPage<IdxUjerDto> bizDetailList(String dimensionTableId, String selectValue, String bizType, int current, int size);

    /**
     * 返回多个监察统计（list）
     * @param bizRecordCountList
     * @return
     */
    List<Map<String, Object>> bizRecordCountByField(List<BizRecordCount> bizRecordCountList);

    /**
     * 返回单个监察统计（map）
     * @param bizRecordCount
     * @return
     */
    Map<String, Object> bizRecordCountByField(BizRecordCount bizRecordCount);

    JSONObject getSafetySupervisionCode(String bizTable, String taskId);

    JSONObject getSafetySupervisionCodeMap(String bizTable, String mapKey, String mapValue);

    JSONObject getSafetySupervisionInfo();

    Page<JSONObject> getMapByRegion(Long regionSeq, String tableId, String type);
}
